%define Product CMFDiffTool
%define product cmfdifftool
%define name    zope-%{Product}
%define version 0.3.5
%define bad_version %(echo %{version} | sed -e 's/\\./-/g')
%define release %mkrel 1

%define zope_minver     2.7
%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Generation of changesets between objects
License:    GPL
Group:      System/Servers
URL:        http://plone.org/products/%{product}
Source:     http://plone.org/products/%{product}/releases/%{version}/%{Product}-%{version}.tgz
Requires:   zope >= %{zope_minver}
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
CMFDiffTool provides a portal utility that offers methods for generating
various formats of diffs between content based on a specified set of fields (or
an entire Archetypes Schema). It also provides a content type for storing
changesets between objects. Hopefully you may find it useful.

%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*


%changelog
* Fri Dec 14 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.3.5-1mdv2007.1
+ Revision: 119966
- Release 0.3.5.

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.4-1mdv2008.0
+ Revision: 88745
- import zope-CMFDiffTool


